{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-85.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kcodecs-5.115.0-1.fc40",
        "store-results-to": "/tmp/tmpvctqb1js/kf5-kcodecs-5.115.0-1.fc40.tar.xz",
        "time-created": "2024-07-03 13:43:21",
        "time-finished": "2024-07-03 13:45:08",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpvctqb1js/kf5-kcodecs-5.115.0-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpvctqb1js/kf5-kcodecs-5.115.0-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 2,
            "events": [
                {
                    "file_name": "kf5-kcodecs-5.115.0-build/kcodecs-5.115.0/src/kcharsets.cpp",
                    "line": 15,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "kf5-kcodecs-5.115.0-build/kcodecs-5.115.0/src/kentities.gperf",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In static member function ‘static const entity* KCodecsEntities::kde_findEntity(const char*, size_t)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "kf5-kcodecs-5.115.0-build/kcodecs-5.115.0/src/kentities.gperf",
                    "line": 408,
                    "column": 10,
                    "event": "warning[-Wzero-as-null-pointer-constant]",
                    "message": "zero as null pointer constant",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 9001,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "13801bc675ede38be3a12bf7e2e887e56f20c0ce",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kcodecs-5.115.0-build/kcodecs-5.115.0/src/probers/LangBulgarianModel.cpp",
                    "line": 148,
                    "column": 39,
                    "event": "warning[-Wattributes]",
                    "message": "‘visibility’ attribute ignored",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  148 | const SequenceModel KCODECS_NO_EXPORT Latin5BulgarianModel = {Latin5_BulgarianCharToOrderMap, BulgarianLangModel, (float)0.969392, false, \"ISO-8859-5\"};",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                       ^~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  146|   };",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  147|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  148|-> const SequenceModel KCODECS_NO_EXPORT Latin5BulgarianModel = {Latin5_BulgarianCharToOrderMap, BulgarianLangModel, (float)0.969392, false, \"ISO-8859-5\"};",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  149|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  150|   const SequenceModel KCODECS_NO_EXPORT Win1251BulgarianModel = {win1251BulgarianCharToOrderMap, BulgarianLangModel, (float)0.969392, false, \"windows-1251\"};",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 9001,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "b16a5917a176ddd43adbce5d08c75b5b4e48e186",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kcodecs-5.115.0-build/kcodecs-5.115.0/src/probers/LangBulgarianModel.cpp",
                    "line": 150,
                    "column": 39,
                    "event": "warning[-Wattributes]",
                    "message": "‘visibility’ attribute ignored",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  150 | const SequenceModel KCODECS_NO_EXPORT Win1251BulgarianModel = {win1251BulgarianCharToOrderMap, BulgarianLangModel, (float)0.969392, false, \"windows-1251\"};",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                       ^~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  148|   const SequenceModel KCODECS_NO_EXPORT Latin5BulgarianModel = {Latin5_BulgarianCharToOrderMap, BulgarianLangModel, (float)0.969392, false, \"ISO-8859-5\"};",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  149|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  150|-> const SequenceModel KCODECS_NO_EXPORT Win1251BulgarianModel = {win1251BulgarianCharToOrderMap, BulgarianLangModel, (float)0.969392, false, \"windows-1251\"};",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  151|   }",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
